Summary:	Netscape Portable Runtime (NSPR)
Summary(pl.UTF-8):	Przenośne biblioteki uruchomieniowe Netscape
Name:		nspr
Version:	4.36
Release:	1
Epoch:		1
License:	MPL v2.0
Group:		Libraries
Source0:	https://ftp.mozilla.org/pub/nspr/releases/v%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	87a41a0773ab2a5f5c8f01aec16df24c
Patch0:		%{name}-pc.patch
URL:		https://developer.mozilla.org/en-US/docs/Mozilla/Projects/NSPR
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	sed >= 4.0
Obsoletes:	nspr-pthreads < 4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libraries that implement cross-platform runtime services from
Netscape.

%description -l pl.UTF-8
Biblioteki z wieloplatformową implementacją usług
uruchomieniowych Netscape'a.

%package devel
Summary:	NSPR library header files for development
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek NSPR
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	nspr-pthreads-devel < 4

%description devel
Header files for the NSPR library from Netscape.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek NSPR Netscape'a.

%package static
Summary:	Static NSPR library
Summary(pl.UTF-8):	Statyczna biblioteka NSPR
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	nspr-pthreads-static < 4

%description static
Static NSPR library.

%description static -l pl.UTF-8
Statyczna biblioteka NSPR.

%prep
%setup -q
%patch0 -p1

%build
cd nspr
cp -f /usr/share/automake/config.sub build/autoconf
%{__autoconf}
%configure \
	--includedir=%{_includedir}/nspr \
%ifarch %{x8664} ppc64
	--enable-64bit \
%endif
%ifarch x32
	--enable-x32 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug \
	--enable-ipv6 \
	--enable-optimize="%{rpmcflags}" \
	--with-mozilla \
	--with-pthreads

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C nspr install \
	DESTDIR=$RPM_BUILD_ROOT

# for compatibility (upstream installs only nspr.nc); to be dropped sometime?
ln -s nspr.pc $RPM_BUILD_ROOT%{_pkgconfigdir}/mozilla-nspr.pc

%{__rm} $RPM_BUILD_ROOT%{_bindir}/{compile-et.pl,prerr.properties}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnspr4.so
%attr(755,root,root) %{_libdir}/libplc4.so
%attr(755,root,root) %{_libdir}/libplds4.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nspr-config
%{_includedir}/nspr
%{_aclocaldir}/nspr.m4
%{_pkgconfigdir}/mozilla-nspr.pc
%{_pkgconfigdir}/nspr.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnspr4.a
%{_libdir}/libplc4.a
%{_libdir}/libplds4.a
%changelog
* Fri Nov 01 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nspr.git;a=log;h=master

* Thu Oct 24 2024 Jakub Bogusz <qboosh@pld-linux.org> df9a546
- versioned Obsoletes

* Thu Oct 24 2024 Jan Palus <atler@pld-linux.org> fd3d1d2
- up to 4.36

* Fri Sep 16 2022 Jan Palus <atler@pld-linux.org> ab3db6f
- up to 4.35

* Thu Aug 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 0508dec
- updated to 4.34.1

* Tue May 31 2022 Jan Palus <atler@pld-linux.org> 691966e
- up to 4.34

* Fri Jan 07 2022 Jan Palus <atler@pld-linux.org> d33c5d3
- up to 4.33

* Fri Sep 03 2021 Jan Palus <atler@pld-linux.org> 3e0a6b8
- Release 2 (by relup.sh)

* Thu Jul 01 2021 Jan Palus <atler@pld-linux.org> 448a2fc
- updated source url to https

* Thu Jul 01 2021 Jan Palus <atler@pld-linux.org> 4c55d7d
- up to 4.32

* Fri May 28 2021 Jan Palus <atler@pld-linux.org> cdce70c
- up to 4.31

* Fri Mar 19 2021 Jan Palus <atler@pld-linux.org> e67ff7a
- up to 4.30

* Tue Sep 22 2020 Jan Palus <atler@pld-linux.org> e520e96
- up to 4.29

* Tue Aug 25 2020 Jan Palus <atler@pld-linux.org> f171dee
- up to 4.28

* Tue Jul 28 2020 Jan Palus <atler@pld-linux.org> 5b8dc6a
- up to 4.27

* Mon Jun 29 2020 Jan Palus <atler@pld-linux.org> f48e157
- up to 4.26

* Sun Feb 09 2020 Jakub Bogusz <qboosh@pld-linux.org> 70bbe32
- updated to 4.25

* Tue Dec 03 2019 Jan Palus <atler@pld-linux.org> 1c5cf70
- up to 4.24

* Mon Oct 21 2019 Jan Palus <atler@pld-linux.org> 3af04dc
- up to 4.23

* Sat Aug 24 2019 Jan Palus <atler@pld-linux.org> 5a088f9
- up to 4.22

* Sat Mar 16 2019 Jan Palus <atler@pld-linux.org> 64a823e
- up to 4.21

